package cn.lihongjie.coal.coalAnalysisHis.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.coalAnalysisHis.dto.CoalAnalysisHisDto;
import cn.lihongjie.coal.coalAnalysisHis.dto.CreateCoalAnalysisHisDto;
import cn.lihongjie.coal.coalAnalysisHis.dto.UpdateCoalAnalysisHisDto;
import cn.lihongjie.coal.coalAnalysisHis.service.CoalAnalysisHisService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/coalAnalysisHis")
@SysLog(
    module = "化验记录历史"
)
@Slf4j
@OrgScope
public class CoalAnalysisHisController {
  @Autowired
  private CoalAnalysisHisService service;

  @PostMapping("/create")
  public CoalAnalysisHisDto create(@RequestBody CreateCoalAnalysisHisDto request) {
    return this.service.create(request)
        ;
  }

  @PostMapping("/update")
  public CoalAnalysisHisDto update(@RequestBody UpdateCoalAnalysisHisDto request) {
    return this.service.update(request)
        ;
  }

  @PostMapping("/delete")
  public Object delete(@RequestBody IdRequest request) {
    this.service.delete(request);
        return true
        ;
  }

    @PostMapping("/getById")
    public CoalAnalysisHisDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
  }

  @PostMapping("/list")
  public Page<CoalAnalysisHisDto> list(@RequestBody CommonQuery request) {
    return this.service.list(request)
        ;
  }
}
